package logger

import "context"

func DebugCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg

	DefaultLogger.Debug(msg, data...)
}
func InfoCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg
	DefaultLogger.Info(msg, data...)
}

func WarnCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg
	DefaultLogger.Warn(msg, data...)
}

func ErrorCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg
	DefaultLogger.Error(msg, data...)
}

func PanicCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg
	DefaultLogger.Panic(msg, data...)
}

func FatalCtx(ctx context.Context, msg string, data ...any) {
	trace := "nil"
	if ctx != nil {
		trace, _ = ctx.Value("trace").(string)
	}
	msg = "[" + trace + "] " + msg
	DefaultLogger.Fatal(msg, data...)
}
